### Hierarchy

- unknown
  - Dispute

## Index

### Constructors

- constructor

### Methods

- addChatMessage
- clearAgentPubKeyRing
- clearChatMessageList
- clearContract
- clearDisputeResult
- clearExtraDataMap
- clearMakerPaymentAccountPayload
- clearTakerPaymentAccountPayload
- clearTraderPubKeyRing
- getAgentPubKeyRing
- getChatMessageList
- getContract
- getContractAsJson
- getContractHash
- getContractHash_asB64
- getContractHash_asU8
- getDelayedPayoutTxId
- getDepositTxId
- getDepositTxSerialized
- getDepositTxSerialized_asB64
- getDepositTxSerialized_asU8
- getDisputeOpenerIsBuyer
- getDisputeOpenerIsMaker
- getDisputePayoutTxId
- getDisputeResult
- getDonationAddressOfDelayedPayoutTx
- getExtraDataMap
- getId
- getIsClosed
- getIsOpener
- getIsSupportTicket
- getMakerContractSignature
- getMakerPaymentAccountPayload
- getMediatorsDisputeResult
- getOpeningDate
- getPayoutTxId
- getPayoutTxSerialized
- getPayoutTxSerialized_asB64
- getPayoutTxSerialized_asU8
- getState
- getSupportType
- getTakerContractSignature
- getTakerPaymentAccountPayload
- getTradeDate
- getTradeId
- getTradePeriodEnd
- getTraderId
- getTraderPubKeyRing
- hasAgentPubKeyRing
- hasContract
- hasDisputeResult
- hasMakerPaymentAccountPayload
- hasTakerPaymentAccountPayload
- hasTraderPubKeyRing
- serializeBinary
- setAgentPubKeyRing
- setChatMessageList
- setContract
- setContractAsJson
- setContractHash
- setDelayedPayoutTxId
- setDepositTxId
- setDepositTxSerialized
- setDisputeOpenerIsBuyer
- setDisputeOpenerIsMaker
- setDisputePayoutTxId
- setDisputeResult
- setDonationAddressOfDelayedPayoutTx
- setId
- setIsClosed
- setIsOpener
- setIsSupportTicket
- setMakerContractSignature
- setMakerPaymentAccountPayload
- setMediatorsDisputeResult
- setOpeningDate
- setPayoutTxId
- setPayoutTxSerialized
- setState
- setSupportType
- setTakerContractSignature
- setTakerPaymentAccountPayload
- setTradeDate
- setTradeId
- setTradePeriodEnd
- setTraderId
- setTraderPubKeyRing
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new Dispute(): Dispute

- Inherited from jspb.Message.constructor

  #### Returns Dispute

## Methods

### addChatMessage

- addChatMessage(value?: ChatMessage, index?: number): ChatMessage

- - Defined in src/protobuf/pb_pb.d.ts:3702

  #### Parameters

  - ##### Optional value: ChatMessage

  - ##### Optional index: number

  #### Returns ChatMessage

### clearAgentPubKeyRing

- clearAgentPubKeyRing(): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3694

  #### Returns Dispute

### clearChatMessageList

- clearChatMessageList(): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3701

  #### Returns Dispute

### clearContract

- clearContract(): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3649

  #### Returns Dispute

### clearDisputeResult

- clearDisputeResult(): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3710

  #### Returns Dispute

### clearExtraDataMap

- clearExtraDataMap(): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3734

  #### Returns Dispute

### clearMakerPaymentAccountPayload

- clearMakerPaymentAccountPayload(): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3684

  #### Returns Dispute

### clearTakerPaymentAccountPayload

- clearTakerPaymentAccountPayload(): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3689

  #### Returns Dispute

### clearTraderPubKeyRing

- clearTraderPubKeyRing(): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3641

  #### Returns Dispute

### getAgentPubKeyRing

- getAgentPubKeyRing(): undefined | PubKeyRing

- - Defined in src/protobuf/pb_pb.d.ts:3691

  #### Returns undefined | PubKeyRing

### getChatMessageList

- getChatMessageList(): ChatMessage []

- - Defined in src/protobuf/pb_pb.d.ts:3699

  #### Returns ChatMessage []

### getContract

- getContract(): undefined | Contract

- - Defined in src/protobuf/pb_pb.d.ts:3646

  #### Returns undefined | Contract

### getContractAsJson

- getContractAsJson(): string

- - Defined in src/protobuf/pb_pb.d.ts:3672

  #### Returns string

### getContractHash

- getContractHash(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3651

  #### Returns string | Uint8Array

### getContractHash_asB64

- getContractHash_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:3653

  #### Returns string

### getContractHash_asU8

- getContractHash_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3652

  #### Returns Uint8Array

### getDelayedPayoutTxId

- getDelayedPayoutTxId(): string

- - Defined in src/protobuf/pb_pb.d.ts:3721

  #### Returns string

### getDepositTxId

- getDepositTxId(): string

- - Defined in src/protobuf/pb_pb.d.ts:3666

  #### Returns string

### getDepositTxSerialized

- getDepositTxSerialized(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3656

  #### Returns string | Uint8Array

### getDepositTxSerialized_asB64

- getDepositTxSerialized_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:3658

  #### Returns string

### getDepositTxSerialized_asU8

- getDepositTxSerialized_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3657

  #### Returns Uint8Array

### getDisputeOpenerIsBuyer

- getDisputeOpenerIsBuyer(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:3629

  #### Returns boolean

### getDisputeOpenerIsMaker

- getDisputeOpenerIsMaker(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:3632

  #### Returns boolean

### getDisputePayoutTxId

- getDisputePayoutTxId(): string

- - Defined in src/protobuf/pb_pb.d.ts:3712

  #### Returns string

### getDisputeResult

- getDisputeResult(): undefined | DisputeResult

- - Defined in src/protobuf/pb_pb.d.ts:3707

  #### Returns undefined | DisputeResult

### getDonationAddressOfDelayedPayoutTx

- getDonationAddressOfDelayedPayoutTx(): string

- - Defined in src/protobuf/pb_pb.d.ts:3724

  #### Returns string

### getExtraDataMap

- getExtraDataMap(): Map<string, string>

- - Defined in src/protobuf/pb_pb.d.ts:3733

  #### Returns Map<string, string>

### getId

- getId(): string

- - Defined in src/protobuf/pb_pb.d.ts:3620

  #### Returns string

### getIsClosed

- getIsClosed(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:3704

  #### Returns boolean

### getIsOpener

- getIsOpener(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:3626

  #### Returns boolean

### getIsSupportTicket

- getIsSupportTicket(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:3696

  #### Returns boolean

### getMakerContractSignature

- getMakerContractSignature(): string

- - Defined in src/protobuf/pb_pb.d.ts:3675

  #### Returns string

### getMakerPaymentAccountPayload

- getMakerPaymentAccountPayload(): undefined | PaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:3681

  #### Returns undefined | PaymentAccountPayload

### getMediatorsDisputeResult

- getMediatorsDisputeResult(): string

- - Defined in src/protobuf/pb_pb.d.ts:3718

  #### Returns string

### getOpeningDate

- getOpeningDate(): number

- - Defined in src/protobuf/pb_pb.d.ts:3635

  #### Returns number

### getPayoutTxId

- getPayoutTxId(): string

- - Defined in src/protobuf/pb_pb.d.ts:3669

  #### Returns string

### getPayoutTxSerialized

- getPayoutTxSerialized(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3661

  #### Returns string | Uint8Array

### getPayoutTxSerialized_asB64

- getPayoutTxSerialized_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:3663

  #### Returns string

### getPayoutTxSerialized_asU8

- getPayoutTxSerialized_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3662

  #### Returns Uint8Array

### getState

- getState(): Dispute . State

- - Defined in src/protobuf/pb_pb.d.ts:3727

  #### Returns Dispute . State

### getSupportType

- getSupportType(): SupportType

- - Defined in src/protobuf/pb_pb.d.ts:3715

  #### Returns SupportType

### getTakerContractSignature

- getTakerContractSignature(): string

- - Defined in src/protobuf/pb_pb.d.ts:3678

  #### Returns string

### getTakerPaymentAccountPayload

- getTakerPaymentAccountPayload(): undefined | PaymentAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:3686

  #### Returns undefined | PaymentAccountPayload

### getTradeDate

- getTradeDate(): number

- - Defined in src/protobuf/pb_pb.d.ts:3643

  #### Returns number

### getTradeId

- getTradeId(): string

- - Defined in src/protobuf/pb_pb.d.ts:3617

  #### Returns string

### getTradePeriodEnd

- getTradePeriodEnd(): number

- - Defined in src/protobuf/pb_pb.d.ts:3730

  #### Returns number

### getTraderId

- getTraderId(): number

- - Defined in src/protobuf/pb_pb.d.ts:3623

  #### Returns number

### getTraderPubKeyRing

- getTraderPubKeyRing(): undefined | PubKeyRing

- - Defined in src/protobuf/pb_pb.d.ts:3638

  #### Returns undefined | PubKeyRing

### hasAgentPubKeyRing

- hasAgentPubKeyRing(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:3693

  #### Returns boolean

### hasContract

- hasContract(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:3648

  #### Returns boolean

### hasDisputeResult

- hasDisputeResult(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:3709

  #### Returns boolean

### hasMakerPaymentAccountPayload

- hasMakerPaymentAccountPayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:3683

  #### Returns boolean

### hasTakerPaymentAccountPayload

- hasTakerPaymentAccountPayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:3688

  #### Returns boolean

### hasTraderPubKeyRing

- hasTraderPubKeyRing(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:3640

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3736

  #### Returns Uint8Array

### setAgentPubKeyRing

- setAgentPubKeyRing(value?: PubKeyRing ): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3692

  #### Parameters

  - ##### Optional value: PubKeyRing

  #### Returns Dispute

### setChatMessageList

- setChatMessageList(value: ChatMessage []): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3700

  #### Parameters

  - ##### value: ChatMessage []

  #### Returns Dispute

### setContract

- setContract(value?: Contract ): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3647

  #### Parameters

  - ##### Optional value: Contract

  #### Returns Dispute

### setContractAsJson

- setContractAsJson(value: string): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3673

  #### Parameters

  - ##### value: string

  #### Returns Dispute

### setContractHash

- setContractHash(value: string | Uint8Array): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3654

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns Dispute

### setDelayedPayoutTxId

- setDelayedPayoutTxId(value: string): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3722

  #### Parameters

  - ##### value: string

  #### Returns Dispute

### setDepositTxId

- setDepositTxId(value: string): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3667

  #### Parameters

  - ##### value: string

  #### Returns Dispute

### setDepositTxSerialized

- setDepositTxSerialized(value: string | Uint8Array): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3659

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns Dispute

### setDisputeOpenerIsBuyer

- setDisputeOpenerIsBuyer(value: boolean): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3630

  #### Parameters

  - ##### value: boolean

  #### Returns Dispute

### setDisputeOpenerIsMaker

- setDisputeOpenerIsMaker(value: boolean): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3633

  #### Parameters

  - ##### value: boolean

  #### Returns Dispute

### setDisputePayoutTxId

- setDisputePayoutTxId(value: string): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3713

  #### Parameters

  - ##### value: string

  #### Returns Dispute

### setDisputeResult

- setDisputeResult(value?: DisputeResult ): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3708

  #### Parameters

  - ##### Optional value: DisputeResult

  #### Returns Dispute

### setDonationAddressOfDelayedPayoutTx

- setDonationAddressOfDelayedPayoutTx(value: string): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3725

  #### Parameters

  - ##### value: string

  #### Returns Dispute

### setId

- setId(value: string): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3621

  #### Parameters

  - ##### value: string

  #### Returns Dispute

### setIsClosed

- setIsClosed(value: boolean): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3705

  #### Parameters

  - ##### value: boolean

  #### Returns Dispute

### setIsOpener

- setIsOpener(value: boolean): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3627

  #### Parameters

  - ##### value: boolean

  #### Returns Dispute

### setIsSupportTicket

- setIsSupportTicket(value: boolean): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3697

  #### Parameters

  - ##### value: boolean

  #### Returns Dispute

### setMakerContractSignature

- setMakerContractSignature(value: string): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3676

  #### Parameters

  - ##### value: string

  #### Returns Dispute

### setMakerPaymentAccountPayload

- setMakerPaymentAccountPayload(value?: PaymentAccountPayload ): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3682

  #### Parameters

  - ##### Optional value: PaymentAccountPayload

  #### Returns Dispute

### setMediatorsDisputeResult

- setMediatorsDisputeResult(value: string): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3719

  #### Parameters

  - ##### value: string

  #### Returns Dispute

### setOpeningDate

- setOpeningDate(value: number): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3636

  #### Parameters

  - ##### value: number

  #### Returns Dispute

### setPayoutTxId

- setPayoutTxId(value: string): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3670

  #### Parameters

  - ##### value: string

  #### Returns Dispute

### setPayoutTxSerialized

- setPayoutTxSerialized(value: string | Uint8Array): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3664

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns Dispute

### setState

- setState(value: Dispute . State ): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3728

  #### Parameters

  - ##### value: Dispute . State

  #### Returns Dispute

### setSupportType

- setSupportType(value: SupportType ): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3716

  #### Parameters

  - ##### value: SupportType

  #### Returns Dispute

### setTakerContractSignature

- setTakerContractSignature(value: string): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3679

  #### Parameters

  - ##### value: string

  #### Returns Dispute

### setTakerPaymentAccountPayload

- setTakerPaymentAccountPayload(value?: PaymentAccountPayload ): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3687

  #### Parameters

  - ##### Optional value: PaymentAccountPayload

  #### Returns Dispute

### setTradeDate

- setTradeDate(value: number): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3644

  #### Parameters

  - ##### value: number

  #### Returns Dispute

### setTradeId

- setTradeId(value: string): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3618

  #### Parameters

  - ##### value: string

  #### Returns Dispute

### setTradePeriodEnd

- setTradePeriodEnd(value: number): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3731

  #### Parameters

  - ##### value: number

  #### Returns Dispute

### setTraderId

- setTraderId(value: number): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3624

  #### Parameters

  - ##### value: number

  #### Returns Dispute

### setTraderPubKeyRing

- setTraderPubKeyRing(value?: PubKeyRing ): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3639

  #### Parameters

  - ##### Optional value: PubKeyRing

  #### Returns Dispute

### toObject

- toObject(includeInstance?: boolean): Dispute . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:3737

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns Dispute . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3740

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns Dispute

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: Dispute, reader: BinaryReader): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:3741

  #### Parameters

  - ##### message: Dispute

  - ##### reader: BinaryReader

  #### Returns Dispute

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: Dispute, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:3739

  #### Parameters

  - ##### message: Dispute

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: Dispute ): Dispute . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:3738

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: Dispute

  #### Returns Dispute . AsObject

Generated using TypeDoc